Bug 51609 - UI: pasting several images from web, should bring up choice to embed them (by default) - for single image, Paste special allows to do this
Summary: UI: pasting several images from web, should bring up choice to embed them (by...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 72617 74881 Picture_Embedding 90216 98581 (view as bug list)
Depends on:
Blocks: Paste Images
  Show dependency treegraph
 
Reported: 2012-06-30 20:26 UTC by ale.carrazzoni
Modified: 2017-07-05 00:56 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ale.carrazzoni 2012-06-30 20:26:35 UTC
It's very annoying when I paste an image from the internet and LibreOffice gets very slow and can't save files properly because images pasted from the web are pasted as links instead of embedded in the document. Why are images from the web pasted as links by default when it causes issues?
Comment 1 Rainer Bielefeld Retired 2012-06-30 23:46:57 UTC
Of course that would be possible, but if we change the behavior other half of users will ask to link pictures from Web. 

Some problems with links caused by bugs that should be fixed is no reason to modify the behavior.

So we will have to fix bugs causing problems with linked contents, but I can't see any comprehensible reason why we should change the default behavior to "Embed Pictures from Web).

@ale.carrazzoni@gmail.com:
Please feel free to reopen this report if you can contribute a comprehensible  concept with cogent, urgent reasons why embedding Pasted pictures from web would be the better way.
Comment 2 ale.carrazzoni 2012-07-01 10:33:49 UTC
"Some problems with links caused by bugs that should be fixed is no reason to
modify the behavior."

Actually, it is reason enough. What are the advantages of having linked images? Why should I be inconvenienced because of unfixed bugs? There isn't even a way to change the default behavior to "Embed pictures from web" that I know of. If linked images cause LO to hang frequently, take a minute to save and doesn't even save images to .doc properly (linked images saved to .doc don't appear in Google Docs, for example), then the default behavior should be changed until the issues are fixed. Or at least put a checkbox to change the default behavior, because I had to download an OpenOffice extension to change it.
Comment 3 Olav Dahlum 2012-09-04 23:51:37 UTC
Ok, let's not argue too much about this, but it's certainly an issue affecting a lot of people. For instance me, but also people on larger networked installations using Linux Terminal Server Project, NFS shares, and thin/half thin clients. The default behaviour should be multiple choices. I already have users complaining about this issue. This shouldn't be too hard to fix before the next maintenance releases.
Comment 4 Henrik Gebauer 2013-08-30 16:01:51 UTC
You can paste the image with Ctrl+Shift+V instead of just pressing Ctrl+V. A window pops up and asks if you want the image to be embedded or not (i.e. paste as HTML or as bitmap).

HTML is selected every time the window pops up and has to be changed manually every single time.

Suggestion: Save the user's selection and pre-select his choice when the window pops up the next time. Then the images can easily be embedded (or not) by typing "Ctrl+Shift+V Enter".
Comment 5 Henrik Gebauer 2013-08-30 16:04:18 UTC
Or another possibilty: Ctrl+V pastes as HTML (as it is now), Ctrl+Shift+V pastes it as bitmap (no popup window).
Comment 6 narayanaras 2013-11-04 08:13:20 UTC
The CTRL+SHFT+V command strips off all images and pastes only the text. That is not what we want!

I agree that if the user wants to copy the text from the website, why would he only keep the links, rather than embedding the image itself in the copied article?

That makes sense only if the images are likely to keep changing (e.g. some chart/graph that keeps updating with time). It does NOT make sense with MOST images, because they are static.

In fact, when we break the links (Edit>Links... menu), LibreOffice downloads all the images once again; although the images are already there in the cache. Thus we end up downloading the images twice!
Comment 7 Bernard SIAUD 2013-12-05 20:11:46 UTC
I think so ale.carrazzoni@gmail.com
I don't want this link.
Comment 8 royerjy 2013-12-06 10:32:37 UTC
It seems important that action will be coherent between all modules. Maybe let choice at configuration ?
Comment 9 Luc Novales 2013-12-06 14:11:10 UTC
Default past action (Ctrl+V) should be a choice (check-box) in writer options, presetting also check-box when inserting image from file and maintaining pop-up box with Ctrl+Maj+V to chose for others formats when required, as it is done for text, drawing...
Comment 10 Jorendc 2013-12-12 23:01:07 UTC
*** Bug 72617 has been marked as a duplicate of this bug. ***
Comment 11 sophie 2014-03-18 16:16:05 UTC
*** Bug 74881 has been marked as a duplicate of this bug. ***
Comment 12 Joel Madero 2014-11-06 00:20:33 UTC
From what I can see this was never confirmed by QA team - moving to UNCONFIRMED to get their confirmation.
Comment 13 Cor Nouws 2014-11-07 12:29:56 UTC
this is an enhancement request
Comment 14 Buovjaga 2015-09-22 11:08:17 UTC
*** Bug 75252 has been marked as a duplicate of this bug. ***
Comment 15 Buovjaga 2015-09-22 11:14:29 UTC
*** Bug 90216 has been marked as a duplicate of this bug. ***
Comment 16 steve -_- 2016-02-09 10:46:00 UTC
*** Bug 87747 has been marked as a duplicate of this bug. ***
Comment 17 Yousuf Philips (jay) (retired) 2016-02-09 12:19:09 UTC
My comments from bug 87747.

I believe that if content is being pasted into a document (.odt, .docx), then it should embed the pictures and if it pasted into an html document (.html) it should link the pictures. The last thing a user would want is pasting content into a document and the pictures are linked and then not being able to view the images when they are not online or the linked source is not accessible.

I think the simplest place to implement this is in the paste special dialog in the form of a checkbox. But i believe the default should be embed unless the user chooses otherwise, primarily because most users are not familiar with Edit > Links and by default we insert images as embed and not links.
Comment 18 Buovjaga 2016-03-10 21:11:41 UTC
*** Bug 98581 has been marked as a duplicate of this bug. ***